> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a QR payment transaction



## OpenAPI

````yaml /openapi/sso.openapi.json post /sso/qr
openapi: 3.0.3
info:
  title: Wallet SSO API
  version: 1.0.0
  description: OpenAPI specification for the Wallet service API.
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security:
  - PartnerIdHeader: []
    PartnerApiKeyHeader: []
tags:
  - name: SSO Auth
  - name: SSO Wallet
  - name: SSO Transaction
  - name: SSO Payment Request
  - name: SSO PayTag
  - name: SSO QR
  - name: SSO Beneficiary
paths:
  /sso/qr:
    post:
      tags:
        - SSO QR
      summary: Complete a QR payment transaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QrTransactionDto'
      responses:
        '200':
          description: Transaction details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionDetail'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
          BearerAuth: []
components:
  schemas:
    QrTransactionDto:
      type: object
      required:
        - Type
        - Amount
      properties:
        Tag:
          type: string
        Name:
          type: string
        Email:
          type: string
        Type:
          type: string
          enum:
            - Customer
            - Merchant
            - MerchantUser
            - Partner
        QrType:
          type: string
          enum:
            - P2P Transaction
            - Partner Transaction
            - Split Transaction
            - Flex Terminal Transaction
            - Partner Terminal Transaction
        Amount:
          type: number
          minimum: 1
        HostID:
          type: number
        Reference:
          type: string
        Description:
          type: string
        Metadata:
          type: object
          additionalProperties: true
    TransactionDetail:
      type: object
      additionalProperties: true
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````